% Text Mining with MATLAB 2nd Edition
% www.http://www.textmininglab.net/

% CHAPTER 1: Introduction

disp('Example 1.1 ------------------------------------------------------');
matrix = [1 2 3;4,5,6]                                               %(1.1)
pause;

disp('Example 1.2 ------------------------------------------------------');
matrix(2,2) % retrieves the element in row 2 and column 2           %(1.2a)
matrix(2,:) % retrieves all elements in row 2                       %(1.2b)
matrix(:,2) % retrieves all elements in column 2                    %(1.2c)
matrix(2,1:2) % retrieves the elements in row 2 and columns 1 to 2  %(1.2d)
pause;

disp('Example 1.3 ------------------------------------------------------');
whos                                                                 %(1.3)
pause;

disp('Example 1.4 ------------------------------------------------------');
save % saves the workspace into the file matlab.mat                 %(1.4a)
clear % erases all variables in the workspace                       %(1.4b)
whos % the workspace is empty!                                      %(1.4c)
load % restores the variables from matlab.mat into the workspace    %(1.4d)
whos                                                                %(1.4e)
pause;

disp('Example 1.5 ------------------------------------------------------');
for k=0:4   	                                                    %(1.5a)
    odd_number = 2*k+1;
    vector(k+1) = odd_number;
end;
vector                                                              %(1.5b)
pause;

disp('Example 1.6 ------------------------------------------------------');
newvector = 1:2:10                                                   %(1.6)
pause;

disp('Example 1.7 ------------------------------------------------------');
newmatrix = newvector(1:2)'*newvector(end-2:end)                     %(1.7)
pause;

disp('Example 1.8 ------------------------------------------------------');
matrix*newmatrix' % conventional matrix multiplication              %(1.8a)
matrix.*newmatrix % element-by-element array multiplication         %(1.8b)
pause;

disp('Example 1.9 ------------------------------------------------------');
matrix+i*newmatrix                                                   %(1.9)
pause;

disp('Example 1.10 -----------------------------------------------------');
disp('THIS EXAMPLE IS NOT A MATLAB SCRIPT')                         %(1.10)
pause;

disp('Example 1.11 -----------------------------------------------------');
inverse = inv([1 1;0 1])                                            %(1.11)
pause;
